Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api
[Java] Class DefaultTask

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask

    @NoConventionMapping
    public class DefaultTask
    extends AbstractTask

`DefaultTask` is the standard Task implementation. You can extend this to implement your own task types.

Authors:
  Hans Dockter

Constructor Summary
`DefaultTask()`

Constructor Detail

### DefaultTask

    public DefaultTask()

Gradle API 1.1-rc-1